# QTransform Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QTransform()
- void QTransform(QMatrix mtx)
- void QTransform(qreal h11, qreal h12, qreal h13, qreal h21, qreal h22, qreal h23, qreal h31, qreal h32, qreal h33)
- void QTransform(qreal h11, qreal h12, qreal h21, qreal h22, qreal dx, qreal dy)

### Constructor Properties

- prototype: The QTransform prototype object
- QTransform fromScale(qreal dx, qreal dy)
- QTransform fromTranslate(qreal dx, qreal dy)
- bool quadToQuad(QPolygonF one, QPolygonF two, QTransform result)
- bool quadToSquare(QPolygonF quad, QTransform result)
- bool squareToQuad(QPolygonF square, QTransform result)
- TxNone = 0x00
- TxTranslate = 0x01
- TxScale = 0x02
- TxRotate = 0x04
- TxShear = 0x08
- TxProject = 0x10
- TransformationType( value )

### Prototype Object Properties

- QTransform adjoint()
- qreal det()
- qreal determinant()
- qreal dx()
- qreal dy()
- QTransform inverted()
- bool isAffine()
- bool isIdentity()
- bool isInvertible()
- bool isRotating()
- bool isScaling()
- bool isTranslating()
- qreal m11()
- qreal m12()
- qreal m13()
- qreal m21()
- qreal m22()
- qreal m23()
- qreal m31()
- qreal m32()
- qreal m33()
- QLine map(QLine l)
- QRect mapRect(QRect arg__1)
- QPolygon mapToPolygon(QRect r)
- QTransform multiplied(QTransform o)
- QTransform operator_add_assign(qreal div)
- QTransform operator_divide_assign(qreal div)
- bool operator_equal(QTransform arg__1)
- QTransform operator_multiply_assign(QTransform arg__1)
- QTransform operator_subtract_assign(qreal div)
- void readFrom(QDataStream arg__1)
- void reset()
- QTransform rotate(qreal a, Axis axis)
- QTransform rotateRadians(qreal a, Axis axis)
- QTransform scale(qreal sx, qreal sy)
- void setMatrix(qreal m11, qreal m12, qreal m13, qreal m21, qreal m22, qreal m23, qreal m31, qreal m32, qreal m33)
- QTransform shear(qreal sh, qreal sv)
- QMatrix toAffine()
- QTransform translate(qreal dx, qreal dy)
- QTransform transposed()
- TransformationType type()
- void writeTo(QDataStream arg__1)

### Instance Properties

QTransform objects have no special properties beyond those inherited from the QTransform prototype object.